Bug 962673 - [online_runtime_card310]Failed to git push for ringojs
[online_runtime_card310]Failed to git push for ringojs
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 04:33 EDT by Wei Sun
Modified: 2015-05-14 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-01 20:57:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-14 04:33:29 EDT
Description of problem:
Create farmstand-nodejs-mongodb-example  quickstart as follow README.md.But failed to git push.It shows some error messages,like
remote: Failed to execute: 'control build' for /var/lib/openshift/421340315062835938852864/nodejs: rc(1)


Version-Release number of selected component (if applicable):
devenv_3223
https://github.com/openshift/farmstand-nodejs-mongodb-example

How reproducible:
Always

Steps to Reproduce:
1.Create quickstart as follow https://github.com/openshift/farmstand-nodejs-mongodb-example
2.
3.
  
Actual results:
1.openshift@openshift-ubuntu:~/test/nd$ git push
----------skip---------------------
remote: gyp ERR! configure error Error: EXDEV, link '/usr/lib/node_modules/npm/node_modules/node-gyp/legacy/tools/gyp/gyptest.pyc'
remote: gyp ERR! not ok 
remote: gmake: *** [node_gyp] Error 1
remote: child process exited with code 2
remote: npm info postinstall bson@0.1.5
remote: npm info build /var/lib/openshift/421340315062835938852864/app-root/runtime/repo/node_modules/mongodb
remote: npm info linkStuff mongodb@1.1.11
remote: npm info install mongodb@1.1.11
remote: npm info postinstall mongodb@1.1.11
remote: npm ERR! 
remote: npm ERR! Additional logging details can be found in:
remote: npm ERR!     /var/lib/openshift/421340315062835938852864/app-root/runtime/repo/npm-debug.log
remote: npm ERR! not ok code undefined
remote: npm ERR! not ok code 1
remote: Failed to execute: 'control build' for /var/lib/openshift/421340315062835938852864/nodejs: rc(1)
remote: stdout: #<IO:0x0000000150d2b8>
remote: stderr#<IO:0x0000000150d240>
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/v2_cart_model.rb:950:in `block in do_control_with_directory'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/v2_cart_model.rb:776:in `process_cartridges'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/v2_cart_model.rb:923:in `do_control_with_directory'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/v2_cart_model.rb:799:in `do_control'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/application_container.rb:502:in `build'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/default_builder.rb:37:in `post_receive'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/application_container.rb:421:in `post_receive'
remote: /usr/bin/gear:133:in `block (3 levels) in <main>'
remote: /usr/bin/gear:80:in `do_command'
remote: /usr/bin/gear:132:in `block (2 levels) in <main>'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:62:in `run!'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/delegates.rb:11:in `run!'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/import.rb:10:in `block in <top (required)>'



Expected results:
Can create it successfully

Additional info:
Comment 1 Wei Sun 2013-05-14 05:17:04 EDT
Check quickstart https://github.com/openshift/ringojs-openshift-example
There is the same issue.

[sunwei@dhcp-8-229 foobar]$ git push
Counting objects: 1689, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (367/367), done.
Writing objects: 100% (1683/1683), 5.37 MiB | 578 KiB/s, done.
Total 1683 (delta 1312), reused 1671 (delta 1307)
remote: Stopping DIY cart
remote: Shell command 'set -xe;
remote: cd $OPENSHIFT_TMP_DIR;
remote: git clone /var/lib/openshift/413c2412bc7411e29c1822000aa50a03/git/foobar.git git_cache;
remote: pushd git_cache;
remote: git submodule update --init --recursive;
remote: git submodule foreach --recursive 'git archive --format=tar HEAD | (cd /var/lib/openshift/413c2412bc7411e29c1822000aa50a03/app-root/runtime/repo/\\\$path && tar --warning=no-timestamp -xf -)';
remote: popd;
remote: ' returned an error. rc=128: rc(128)
remote: stdout: Initialized empty Git repository in /tmp/git_cache/.git/
remote: /tmp/git_cache /tmp
remote: 
remote: stderr+ cd /tmp/
remote: + git clone /var/lib/openshift/413c2412bc7411e29c1822000aa50a03/git/foobar.git git_cache
remote: + pushd git_cache
remote: + git submodule update --init --recursive
remote: fatal: Not a git repository: '.'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/utils/shell_exec.rb:129:in `block (2 levels) in oo_spawn'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/utils/shell_exec.rb:93:in `pipe'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/utils/shell_exec.rb:93:in `block in oo_spawn'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/utils/shell_exec.rb:92:in `pipe'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/utils/shell_exec.rb:92:in `oo_spawn'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/application_repository.rb:154:in `deploy'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/default_builder.rb:35:in `post_receive'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.9.1/lib/openshift-origin-node/model/application_container.rb:417:in `post_receive'
remote: /usr/bin/gear:133:in `block (3 levels) in <main>'
remote: /usr/bin/gear:80:in `do_command'
remote: /usr/bin/gear:132:in `block (2 levels) in <main>'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:62:in `run!'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/delegates.rb:11:in `run!'
remote: /opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/import.rb:10:in `block in <top (required)>'
To ssh://413c2412bc7411e29c1822000aa50a03@foobar-wsun3224quick.dev.rhcloud.com/~/git/foobar.git/
   6d51794..9e6e9f4  master -> master
Comment 2 Dan McPherson 2013-05-21 01:05:39 EDT
Fixed ringojs in:  https://github.com/openshift/origin-server/pull/2570 plus fixes to the quickstart itself.  Biggest change was to get submodules working in v2.
Comment 3 Dan McPherson 2013-05-21 01:55:32 EDT
Mrunal,

  Is the farmstand issue related to the code in the nodejs install which wasn't working?

-Dan
Comment 5 Mrunal Patel 2013-05-23 19:26:35 EDT
I see farmstand failures in v1, too. They are related to us using older version of nodejs. Using custom nodejs quickstart, I was able to install the mongodb package w/o issues.
Comment 6 Mrunal Patel 2013-05-24 13:31:50 EDT
We will have to update the farmstand quickstart to work with custom nodejs.
Comment 7 Wei Sun 2013-05-30 05:33:02 EDT
Test on devenv_3288,ringojs is fixed.But farmstand is not fixed.
Comment 8 Dan McPherson 2013-06-01 20:57:08 EDT
I am moving the farmstand issue to Bug 966450 and closing this bug.

Note You need to log in before you can comment on or make changes to this bug.